Notus API
Smart wallets

Request Tax Transactions Export

Request a tax transactions export for a wallet. The report will be generated by an external tax API and sent to the provided email address.

POST
/api/v1/wallets/{walletAddress}/tax-export
x-api-key<token>

In: header

Path Parameters

walletAddressstring

Wallet address to export tax transactions

emailstring

Email address to send the tax export to

Match^(?!\.)(?!.*\.\.)([A-Za-z0-9_'+\-\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$
Formatemail
individualobject

The tax identity reference used by the external tax API

emailCustomization?object

Custom email branding options for white-labeling

Response Body

curl -X POST "https://api.notuslabs.xyz/api/v1/wallets/0xa2acc967a9fc4fd5d18351d06deb9b8718c18333/tax-export" \  -H "Content-Type: application/json" \  -d '{    "email": "[email protected]",    "individual": {      "type": "individual",      "individualId": "string"    }  }'
Empty
{
  "statusCode": 404,
  "id": "ACCOUNT_ABSTRACTION_ADDRESS_NOT_REGISTERED_WITH_PROJECT",
  "message": "The requested wallet \"0x335e110f9aa64deef43b646b4bdf90aac3c7844c\" is not registered with the project"
}
{
  "statusCode": 429,
  "id": "TAX_EXPORT_ALREADY_REQUESTED_TODAY",
  "message": "A tax export has already been requested today. Tax exports are limited to one per day."
}
{
  "statusCode": 500,
  "id": "FAILED_TO_PUBLISH_CHECK_TRANSFER_IS_CROSS_SWAP",
  "message": "Failed to publish. Please try again later"
}